Bug 1762968 - Prometheus container doesn't have terminationMessagePolicy FallbackToLogsOnError
Summary: Prometheus container doesn't have terminationMessagePolicy FallbackToLogsOnError
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.3.0
Assignee: Frederic Branczyk
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks: 1763098
TreeView+ depends on / blocked
 
Reported: 2019-10-17 22:22 UTC by Clayton Coleman
Modified: 2020-01-23 11:08 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1763098 (view as bug list)
Environment:
Last Closed: 2020-01-23 11:08:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift prometheus-operator pull 42 0 None closed Bug 1762968: Bump Prometheus Operator to latest master 2020-08-31 15:04:56 UTC
Red Hat Product Errata RHBA-2020:0062 0 None None None 2020-01-23 11:08:40 UTC

Description Clayton Coleman 2019-10-17 22:22:19 UTC
While debugging a 4.2 failure I saw that prometheus had exited with exit code 1 but not reported a message.  While most of the other containers have the correct terminationMessagePolicy, Prometheus is wrong.

We need to fix and backport to 4.2 so we can correctly debug when containers exit on error.

Comment 3 errata-xmlrpc 2020-01-23 11:08:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.